Bug 196973 - sh(1) broken UTF-8 input
Summary: sh(1) broken UTF-8 input
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: 10.1-RELEASE
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-21 17:07 UTC by Michael Danilov
Modified: 2018-11-25 22:01 UTC (History)
3 users (show)

See Also:
jilles: mfc-stable10?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Danilov 2015-01-21 17:07:11 UTC
Almquist shell shipped with FreeBSD echoes Unicode input with bell chars. Despite that, it prints them fine in name completion. NetBSD sh -- which I think is Almquist, too -- works without any additional setup.

login.conf:
:charset=UTF-8:lang=en_US.UTF-8:

$ locale
LANG=en_US.UTF-8
LC_CTYPE="en_US.UTF-8"
LC_COLLATE="en_US.UTF-8"
LC_TIME="en_US.UTF-8"
LC_NUMERIC="en_US.UTF-8"
LC_MONETARY="en_US.UTF-8"
LC_MESSAGES="en_US.UTF-8"
LC_ALL=

Tested in xterm and rxvt-unicode.
Comment 1 Michael Danilov 2015-02-16 16:55:43 UTC
Pinned the problem to LC_CTYPE. Setting it to "ru_RU.KOI8-R" seems to relieve the symptom for Russian characters.
Comment 2 Jilles Tjoelker freebsd_committer 2015-02-16 20:56:06 UTC
SVN r276881 fixed this in 11-current (in the underlying libedit library). This commit has a MFC after field.
Comment 3 Baptiste Daroussin freebsd_committer 2015-05-29 09:58:50 UTC
Unfortunatly MFCing would be complicated, I don't know if I'll end up doing it.
Comment 4 Eitan Adler freebsd_committer freebsd_triage 2018-05-20 23:53:06 UTC
For bugs matching the following conditions:
- Status == In Progress
- Assignee == "bugs@FreeBSD.org"
- Last Modified Year <= 2017

Do
- Set Status to "Open"
Comment 5 Yuri Pankov freebsd_committer 2018-11-25 22:01:50 UTC
Apparently, MFC didn't happen.  Closing this as fixed by base r276881 in all supported (at the moment) branches.